package com.dayou.service;
import com.dayou.entity.FinanceRealFund;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayou.vo.FinanceRealFundVO;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import java.math.BigDecimal;

/**
 * <p>
 * 财务实收款 服务类
 * </p>
 *
 * @author wucl
 * @since 2023-12-08
 */
public interface IFinanceRealFundService extends IService<FinanceRealFund> {

        Page<FinanceRealFundVO> selectPage(Page page, FinanceRealFund financeRealFund,String keyword);

        FinanceRealFund detail(Long id);

        Boolean add(FinanceRealFund financeRealFund);

        Boolean update(FinanceRealFund financeRealFund);

        Boolean delete(Long id);

        BigDecimal getNotClaimAmount(Long realFundId);
}
